Summary:	Script to start and stop PHP FastCGI processes
Summary(pl.UTF-8):	Skrypt do uruchamiania i zatrzymywania procesów FastCGI PHP
Name:		php-fcgi-init
Version:	0.6
Release:	2
License:	BSD-like
Group:		Networking/Daemons
Source0:	php-fcgi.init
Source1:	php-fcgi.sysconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	php(fcgi)
Requires:	rc-scripts
Requires:	spawn-fcgi >= 1.4.19-9
Provides:	user(http)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Script to start and stop PHP FastCGI processes.

%description -l pl.UTF-8
Skrypt do uruchamiania i zatrzymywania procesów FastCGI PHP

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -p %{SOURCE0} $RPM_BUILD_ROOT/etc/rc.d/init.d/php-fcgi
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/php-fcgi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 51 -r -s /bin/false -c "HTTP User" -g http http

%post
/sbin/chkconfig --add php-fcgi
# there's no point of restarting php-fcgi as this package contains only scripts
# therefore nothing has changed in memory and restart would be pointless

%preun
if [ "$1" = "0" ]; then
	%service php-fcgi stop
	/sbin/chkconfig --del php-fcgi
fi

%postun
if [ "$1" = "0" ]; then
	%userremove http
fi

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/php-fcgi
%config(noreplace) %verify(not md5 mtime size) %attr(600,root,root) /etc/sysconfig/php-fcgi
%changelog
* Wed Jul 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-fcgi-init.git;a=log;h=master

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> 7d1b172
- require virtual php(fcgi)

* Wed Jul 03 2013 Elan Ruusamäe <glen@delfi.ee> e6c04e1
- no deprecated egrep

* Tue Oct 07 2008 Elan Ruusamäe <glen@pld-linux.org> 71aa466
- requires network and runlevel 2 are no-no

* Tue Sep 16 2008 Elan Ruusamäe <glen@pld-linux.org> 8086eac
- reverted, our DEVEL should be updated to newer svn snap instead

* Mon Sep 15 2008 pawelz <pawelz@pld-linux.org> 839d53d
- compatibility with spawn-fcgi from lighttpd -r DEVEL, which:
- prints ok status to stderr
- does not accept <fcgiapp> without "-f"
- pointed out by Pawel Koska <pawel at artfan dot net>

* Mon Jul 14 2008 Elan Ruusamäe <glen@pld-linux.org> 4c4e9bc
- version 0.6: spawn-fcgi errors are displayed on startup

* Mon Jul 14 2008 Elan Ruusamäe <glen@pld-linux.org> a471b65
- depend on spawn-fcgi that prints ok status to stdout

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 12f7d85
- rel 4

* Mon Nov 19 2007 Elan Ruusamäe <glen@pld-linux.org> d2c6ae6
- rel 3

* Wed Nov 14 2007 Elan Ruusamäe <glen@pld-linux.org> 912eea7
- make initscript respect umask again; rel 2

* Wed Nov 14 2007 Elan Ruusamäe <glen@pld-linux.org> 80ebbf5
- discarding daemon() discarded one useful feature -- umask setting. add sth back

* Wed Nov 14 2007 Elan Ruusamäe <glen@pld-linux.org> 8ba2c4a
- check for existence of php-fcgi binary

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 076608a
- php-fcgi doesn't need any env than $PATH, espeially locale variables which
  could initialize gettext differently depending from which terminal you
  restart the daemon

* Fri Nov 09 2007 Elan Ruusamäe <glen@pld-linux.org> ed04222
- version 0.5:
  no sleeping between restart (assume fcgi-graceful patch applied or pure luck)

* Wed Nov 07 2007 Elan Ruusamäe <glen@pld-linux.org> ed0dc3a
- no sleeping between restart (assume fcgi-graceful patch applied or pure luck)
- use read VAR instead of subshell with cat to read pids
- do not use daemon() as it wastes time in initlog/log_success

* Wed Oct 03 2007 Elan Ruusamäe <glen@pld-linux.org> 5bd3213
- version 0.4: display environment settings in "status" action

* Wed Oct 03 2007 Elan Ruusamäe <glen@pld-linux.org> bb4e070
- display environment settings in "status" action

* Fri Sep 14 2007 Jakub Bogusz <qboosh@pld-linux.org> b5d6276
- LSB: reload might not exist, but must not restart service

* Fri Sep 14 2007 Elan Ruusamäe <glen@pld-linux.org> e229406
- no need to restart on upgrade; rel 3

* Fri Sep 14 2007 Elan Ruusamäe <glen@pld-linux.org> bfde1d1
- LC_ALL=C when doing egrep; rel 2

